/*
 * Zufallszahlen.java - erzeugt zwei unterschiedliche Zufallszahlen 
 *                      zwischen 0 und 5
 *
 */

import java.util.*;          // fr Random

public class Zufallszahlen {
    
   public static void main(String[] args) {
      System.out.println();
      final int MAX = 5;

      Random generator = new Random();

      int ersteZahl  = generator.nextInt(MAX);  
      int zweiteZahl = ersteZahl;  // Initialisierung stellt
                                   // sicher, dass die Schleife
                                   // mindestens einmal ausge-
                                   // fhrt wird

      while (ersteZahl == zweiteZahl)  {
         zweiteZahl = generator.nextInt(MAX);
      }

      System.out.println(" Erste  Zufallszahl: " + ersteZahl);
      System.out.println(" Zweite Zufallszahl: " + zweiteZahl);
   }
}
