/*
 * StatischeMethoden.java -  Instanzen zhlen und begrenzen
 *
 */

class Gespenster {
   static int anzahl = 0;
   String name;

   private Gespenster() {
      ++anzahl;
      name = "Gespenst" + anzahl;
   }

   static Gespenster gespenstErzeugen() {
      if (anzahl < 3)
         return new Gespenster();
      else
         return null;
   }

   void spuken()  {
      System.out.println("\t" + name + ": Huuhuu!");
   }

}

public class StatischeMethoden {
    
   public static void main(String[] args) {
      System.out.println();

      Gespenster gespenst1 = Gespenster.gespenstErzeugen();
      Gespenster gespenst2 = Gespenster.gespenstErzeugen();
      Gespenster gespenst3 = Gespenster.gespenstErzeugen();
      Gespenster gespenst4 = Gespenster.gespenstErzeugen();
      Gespenster gespenst5 = Gespenster.gespenstErzeugen();

      System.out.println(" Es spuken zurzeit "
                          + Gespenster.anzahl + " Gespenster.");

      if (gespenst1 != null) gespenst1.spuken();
      if (gespenst2 != null) gespenst2.spuken();
      if (gespenst3 != null) gespenst3.spuken();
      if (gespenst4 != null) gespenst4.spuken();
      if (gespenst5 != null) gespenst5.spuken();

      System.out.println();
   }
}

