/*
 * Lebensdauer.java - Demonstriert die Unabhngigkeit von Variablen und Objekten
 *
 */

class Punkt {
   int x;
   int y;
   
   Punkt(int x, int y) {
      this.x = x;
      this.y = y;
   }
}

class Ursprung {
   final int X;
   final int Y;

   Ursprung(int x, int y) {
      X = x;
      Y = y;
   }

   Punkt toPunkt() {
      Punkt tmp = new Punkt(X,Y);
      return tmp;
   }
}


public class Lebensdauer {
    
   public static void main(String[] args) {
      System.out.println();

      Ursprung u = new Ursprung(100,100);
      Punkt p    = u.toPunkt();
      
      System.out.println(" " + p.x + "," + p.y);
   }  
}

