/*
 * Basisklassenarrays.java - Einsatz generischer Arrays
 *
 */

class Saeugetier {

   void steckbrief()  {
      System.out.println(" Ich bin ein Saeugetier.");
   }
}

class Gepard extends Saeugetier {

   void steckbrief()  {
      System.out.println(" Ich bin ein Gepard.");
   }
   void fauchen() {
      System.out.println(" Ffffffauchhhhhhh!");
   }
}

class Elefant extends Saeugetier {

   void steckbrief()  {
      System.out.println(" Ich bin ein Elefant.");
   }
   void spritzen() {
      System.out.println(" Spriiiiiiiiiiiiitz!");
   }
}


class Basisklassenarrays {

   public static void main(String[] args) {
      System.out.println();

      Saeugetier[] saeuger = new Saeugetier[4];

      for(int i = 0; i < saeuger.length; ++i)  {
         if (Math.random() < 0.5)
            saeuger[i] = new Gepard();
         else
            saeuger[i] = new Elefant();
        }

      System.out.println("\n Alle Tiere durchgehen: \n");
      for(int i = 0; i < saeuger.length; ++i)  
          saeuger[i].steckbrief();
   }
}

