/*
 * CollectionsDemo.java - Sortieren mit Collections.sort() 
 *
 */

import java.util.*;

public class CollectionsDemo {
   public static void main(String[] args) {
      System.out.println();

      ArrayList<String> liste = new ArrayList<String>();

      liste.add("Hamburg"); 
      liste.add("Frankfurt");
      liste.add("Berlin");
      liste.add("Hannover");
      liste.add("Dortmund");

      // liste ist jetzt noch nach Einfgereihenfolge sortiert
      Collections.sort(liste);
      // liste ist jetzt alphabetisch aufsteigend

      Iterator<String> it = liste.iterator();

      while(it.hasNext()) 
         System.out.println(" " + it.next());
   }
}
