/*
 * Textsuche.java - In Textdatei suchen
 *
 */

import java.util.Scanner;
import java.io.*;

public class Textsuche {
    
   public static void main(String[] args) {
      Console cons = System.console();
      cons.printf("\n");
      
      if (args.length != 2) {
         cons.printf("Falsche Anzahl Argumente in Befehlszeile\n");
         cons.printf("Aufruf mit <Dateiname> <Suchbegriff>\n");
         System.exit(1);
      }

      try {
         Scanner sc = new Scanner(new File(args[0]));
         String suche = args[1] + "[,.;!?\"]*";

         long anzahl = 0;
         while (sc.hasNext()) {
            if (sc.hasNext(suche)) 
               anzahl++;
            sc.next();
         }
         sc.close();

         cons.printf(" %d Vorkommen von %s \n", anzahl, args[1]);
      } catch(IOException e) {
         cons.printf(" Dateifehler\n");
      }

   }    
}
