/*
 * ByteArray.java - Einlesen eines Bildes mit ByteArray-Streams
 *
 */

import java.io.*; 
import javax.swing.*;

public class ByteArray {
   public static void main(String[] args)  {
      try  {
         ByteArrayOutputStream bild = new ByteArrayOutputStream();

         BufferedInputStream datei = new BufferedInputStream(new FileInputStream("javalogo.gif")); 

         int b;
         while( (b = datei.read()) != -1) 
            bild.write(b); 

         ImageIcon icon = new ImageIcon(bild.toByteArray()); 

         JOptionPane.showMessageDialog(null, "Gre: " + 
                    bild.size() + " Bytes", 
                    "ByteArrayOutputStream", 
                    JOptionPane.PLAIN_MESSAGE, icon); 
         System.exit(0); 
      } catch(Exception e)  {
         System.err.println(e.getMessage()); 
      }
   }
}
