/* 
 * HalloWeltSwing2.java
 * 
 */

import java.awt.Color;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;

public class HalloWeltSwing2 extends JFrame implements ActionListener {
 
   private JButton button;
   private JButton button2; 
   private Color[] farben;
   private int farbIndex; 
   private JPanel hauptPanel; 

   public HalloWeltSwing2() {
      super();

      // Fenster konfigurieren 
      setTitle("HalloWeltSwing2");
      setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

      // Hintergrundfarben
      farben = new Color[]{Color.WHITE, Color.ORANGE, Color.YELLOW, 
                         Color.MAGENTA, Color.BLUE, Color.CYAN};
      farbIndex = 0;
      hauptPanel = init();

      // Kurzform fr this.getContentPane().add(hauptPanel);
      this.add(hauptPanel);  
   }

   public static void main(String args[]) {
      HalloWeltSwing2 hauptfenster = new HalloWeltSwing2();
      hauptfenster.setSize(400,300);
      hauptfenster.setLocation(200,300);
      hauptfenster.setVisible(true);
   }

   /**
    * Komponenten initialisieren
    */
   private JPanel init() {
      JPanel panel = new JPanel();

      JLabel label    = new JLabel("Hallo Welt!");
      button          = new JButton("Klick mich"); 
      button2         = new JButton("Ende"); 

      button.addActionListener(this); 
      button2.addActionListener(this);

      panel.add(label);
      panel.add(button);
      panel.add(button2); 

      panel.setBackground(farben[farbIndex]); // Startfarbe wei
      return panel; 
   }

   /**
    * Ereignisbehandlung fr Klick auf Schaltflchen
    */
   public void actionPerformed(ActionEvent event) {
      Object quelle = event.getSource();

      if(quelle == button) {
        // Farbe wechseln
        farbIndex++;
        
        if(farbIndex == farben.length) {
           farbIndex = 0;     
        }
        
        hauptPanel.setBackground(farben[farbIndex]);
      }
      else if(quelle == button2) {
        // Programm beenden
        System.exit(0); 
      }
   }
}

