/* 
 * JTableDemo.java - Schnellster Weg zur Anzeige einer Tabelle
 *
*/

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class JTableDemo extends JFrame {
       
   public JTableDemo() {
      super();

      // Hauptfenster einrichten
      setTitle("JTable Demo"); 
      setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

      // Tabellendaten bereitstellen  
      Object[][] daten = {
              {"Erika","Mustermann", new Integer(24), new Boolean(false)},
              {"Dirk","Louis", new Integer(54), new Boolean(true)},
              {"Peter","Mller", new Integer(49), new Boolean(false)},
              {"Kurt","Meier", new Integer(17), new Boolean(false)},
              {"Anna","Trobo", new Integer(21), new Boolean(true)}}; 

      String[] spaltenNamen = {"Vorname", "Nachname", "Alter", "Verheiratet"}; 

      // Tabelle anlegen
      JTable tabelle = new JTable(daten, spaltenNamen);
      getContentPane().add(new JScrollPane(tabelle)); 

       



   }


   public static void main(String args[]) {
      // Fenster erzeugen und anzeigen
      JTableDemo hauptfenster = new JTableDemo();
      hauptfenster.setSize(400,200);                      
      hauptfenster.setLocation(200,300);   
      hauptfenster.setVisible(true);
   }  
}

