/* 
 * JToggleButtonDemo.java - Demonstrationsprogramm fr Wechselschalter
 * 
 */
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class JToggleButtonDemo extends JFrame {
   Container contentPane = getContentPane();
   JToggleButton toggleButton;
   ButtonListener lauscher = new ButtonListener();

   public JToggleButtonDemo() {
      super();

      // Hauptfenster einrichten
      setTitle("JToggleButton-Demo");
      contentPane.setBackground(Color.lightGray);

      // Komponenten einfgen
      toggleButton = new JToggleButton("Nicht ausgewhlt");
      toggleButton.addItemListener(lauscher);

      contentPane.setLayout(new FlowLayout());
      contentPane.add(toggleButton);

      setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
   }

   // Ereignisbehandlungsmethoden fr Komponenten
   class ButtonListener implements ItemListener {
      public void itemStateChanged(ItemEvent e) {
         int zustand = e.getStateChange();

         if(zustand == ItemEvent.SELECTED)
           toggleButton.setText("Ausgewhlt");
         else
           toggleButton.setText("Nicht ausgewhlt");
      }
   }

   public static void main(String args[]) {
      JToggleButtonDemo hauptfenster = new JToggleButtonDemo();
      hauptfenster.setSize(350,100);
      hauptfenster.setLocation(200,300);
      hauptfenster.setVisible(true);
   }
}
