/* 
 * GestrichelteLinien.java - gestricheltes Zeichnen in Java2D
 * 
 */

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

import java.io.*;
import java.awt.geom.*;

public class GestrichelteLinien extends javax.swing.JFrame {

   // innere Klasse fr Zeichenflche
   private class Leinwand extends JPanel {
      
      public void paintComponent(Graphics g) {
         super.paintComponent(g);

         Graphics2D g2 = (Graphics2D) g;

	      g2.setColor(Color.ORANGE);
         g2.fillRect(50, 30, 300, 100);

         float[] dashs = {20.0f, 5.0f};
         BasicStroke stil = new  BasicStroke(5.0f, BasicStroke.CAP_BUTT, BasicStroke.JOIN_MITER, 1.0f,
                                             dashs, 0.0f);

         g2.setStroke(stil);
         g2.setColor(Color.BLACK);

         g2.drawRect(50, 30, 300, 100);
      }
   }

       
   public GestrichelteLinien() {
      setTitle("Gestrichelte Linien");
      getContentPane().add(new Leinwand(), BorderLayout.CENTER);

      setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
   }


   public static void main(String args[]) {
      GestrichelteLinien hauptfenster = new GestrichelteLinien();
      hauptfenster.setSize(400, 200);                     
      hauptfenster.setLocation(200,300);   
      hauptfenster.setVisible(true); 
   }
}
