/*
 * Logindialog.java - Dialog zum Abfragen von Benutzername und Kennwort
 *
 */

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class Logindialog extends JDialog implements ActionListener {
   private final char[] KENNWORT = {'S', 'e', 's', 'a', 'm'};
   private JTextField nameFeld = new JTextField();
   private JPasswordField kennwortFeld = new JPasswordField();
   private boolean einloggen = false;

   public Logindialog(JFrame f) {
     super(f);
     this.setTitle("Einloggen");
     this.setResizable(false);
     this.setSize(new Dimension(445, 150));
     this.setModal(true);
     this.getContentPane().setLayout(null);

     JLabel label1 = new JLabel();
     label1.setText("Name:");
     label1.setBounds(new Rectangle(13, 15, 80, 30));
     nameFeld.setText("");
     nameFeld.setBounds(new Rectangle(100, 20, 320, 25));

     JLabel label2 = new JLabel();
     label2.setText("Kennwort:");
     label2.setBounds(new Rectangle(13, 45, 80, 30));
     kennwortFeld.setText("");
     kennwortFeld.setBounds(new Rectangle(100, 50, 320, 25));

     JButton btnOK = new JButton();
     btnOK.setBounds(new Rectangle(13, 90, 202, 25));
     btnOK.setText("Einloggen");
     this.getRootPane().setDefaultButton(btnOK);
     btnOK.addActionListener(this);

     JButton btnAbbrechen = new JButton();
     btnAbbrechen.setBounds(new Rectangle(222, 90, 202, 25));
     btnAbbrechen.setText("Abbrechen");
     btnAbbrechen.addActionListener(this);

     this.getContentPane().add(label1, null);
     this.getContentPane().add(nameFeld, null);
     this.getContentPane().add(label2, null);
     this.getContentPane().add(kennwortFeld, null);
     this.getContentPane().add(btnOK, null);
     this.getContentPane().add(btnAbbrechen, null);
   }

   public void actionPerformed(ActionEvent e)  {
      String label = e.getActionCommand();
      einloggen = false;

      if( label.equals("Einloggen") )  {
         if( nameFeld.getText().equals("Anonym") & java.util.Arrays.equals(KENNWORT, kennwortFeld.getPassword()) )
            einloggen = true;

         setVisible(false);
      } else if(label.equals("Abbrechen"))  {
         setVisible(false);
      }
   }

   // Ergebnis an Aufrufer zurckliefern
   public boolean isKennwortKorrekt()  {
      return einloggen;
  }
}