/*
 * Suchdialog.java - Suchen nach Textstellen
 *
 */

package javedi;

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class Suchdialog extends JDialog implements ActionListener {
   private String suchbegriff;
   JTextField eingabefeld = new JTextField();

   public Suchdialog(JFrame f) {
     super(f);
     this.setTitle("Suchen");
     this.setResizable(false);
     this.setSize(new Dimension(445, 113));
     this.setModal(true);
     this.getContentPane().setLayout(null);

     JLabel label = new JLabel();
     label.setText("Suchen nach:");
     label.setBounds(new Rectangle(13, 15, 80, 29));

     eingabefeld.setText("");
     eingabefeld.setBounds(new Rectangle(103, 19, 321, 22));

     JButton btnOK = new JButton();
     btnOK.setBounds(new Rectangle(13, 51, 202, 25));
     btnOK.setText("Suchen");
     this.getRootPane().setDefaultButton(btnOK);
     btnOK.addActionListener(this);

     JButton btnAbbrechen = new JButton();
     btnAbbrechen.setBounds(new Rectangle(222, 51, 202, 25));
     btnAbbrechen.setText("Abbrechen");
     btnAbbrechen.addActionListener(this);

     this.getContentPane().add(label, null);
     this.getContentPane().add(eingabefeld, null);
     this.getContentPane().add(btnOK, null);
     this.getContentPane().add(btnAbbrechen, null);
   }

   public void actionPerformed(ActionEvent e)  {
      String label = e.getActionCommand();

      if(label.equals("Suchen"))  {
         suchbegriff = eingabefeld.getText();
         setVisible(false);
      } else if(label.equals("Abbrechen"))  {
         suchbegriff = null;
         setVisible(false);
      }
   }

   // Diese Funktion liefert den eingegebenen Suchstring zurck
   public String getSuchbegriff()  {
      return suchbegriff;
  }
}