/* 
 * DateiDrag.java - Datei-Drop fr JTextArea-Komponenten
 *
 */
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class Datei_und_String_Drag extends JFrame {
   private JScrollPane scrollpane;
   private JTextArea   textfeld;

   public Datei_und_String_Drag() {

      // Hauptfenster konfigurieren
      setTitle("Datei- und String-Drag fr JTextArea");
      getContentPane().setBackground(Color.LIGHT_GRAY);

      // Scrollbare JTextArea einrichten
      scrollpane = new JScrollPane();
      textfeld = new JTextArea();
      scrollpane.getViewport().add(textfeld, null);

      // Drag-Support fr JTextArea aktivieren
      textfeld.setDragEnabled(true);
      // Drop-Modus einstellen
      textfeld.setDropMode(DropMode.INSERT);

      // TransferHandler fr Dateien und Text registrieren
      textfeld.setTransferHandler(new FileAndStringTransferHandler());
 
      getContentPane().add(scrollpane, BorderLayout.CENTER);

      setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
   }
  
   public static void main(String args[]) {
      Datei_und_String_Drag hauptfenster = new Datei_und_String_Drag();
      hauptfenster.setSize(500,300);    
      hauptfenster.setLocation(300,300);    
      hauptfenster.setVisible(true); 
   }  
}
