/*
 * Javedi.java - Hauptklasse des Editors mit main()-Methode
 *
 */

package javedi;

import javax.swing.UIManager;
import java.awt.*;

public class Javedi {

  public Javedi() {
    Javedi_Fenster fenster = new Javedi_Fenster();

    // Fenster zentrieren
    Dimension bildschirmDim = Toolkit.getDefaultToolkit().getScreenSize();
    Dimension fensterDim = fenster.getSize();

    if (fensterDim.height > bildschirmDim.height) {
      fensterDim.height = bildschirmDim.height;
    }
    if (fensterDim.width > bildschirmDim.width) {
      fensterDim.width = bildschirmDim.width;
    }
    fenster.setLocation((bildschirmDim.width - fensterDim.width) / 2,
                        (bildschirmDim.height - fensterDim.height) / 2);
    fenster.setVisible(true);
  }

  public static void main(String[] args) {
    try {
      UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
    }
    catch(Exception e) {
      e.printStackTrace();
    }

    new Javedi();
  }
}