/*
 * Rekursion.java 
 *
 */

import java.io.*;

class Fakultaet {
  
   static long fakultaet(int zahl) {
      if (zahl < 0)
         return -1;          

      if (zahl == 0)
         return 1;
    
      return (zahl * fakultaet(zahl - 1));
   }

   static long fakultaet2(int zahl) {
      int n;
      long fakul = 1;

      if (zahl < 0)
         return -1;          

      if (zahl < 2)
         return fakul;

      n = zahl;
      while(n > 1 ) {
         fakul = fakul * n;
         --n;
      }    

      return fakul;
   }
}

public class Rekursion {

   public static void main(String[] args) throws IOException {
      System.out.println();

      int zahl;
      int loop;

      System.out.print(" Geben Sie eine Zahl zwischen 0 und 20 ein: ");
      BufferedReader tastatur = new BufferedReader(new InputStreamReader(System.in));
      zahl = Integer.parseInt(tastatur.readLine());

      if (zahl > 20 || zahl < 0) {
         System.out.println(" Nur Eingaben zwischen 0 und 20");
         System.exit(0);
      }

      
      System.out.println(" Fakultaet von " + zahl + ": " + Fakultaet.fakultaet(zahl));
      System.out.println(" Fakultaet von " + zahl + ": " + Fakultaet.fakultaet2(zahl));
   }
}
