package de.carpelibrum.widgets;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.Toast;

public class WidgetsActivity extends Activity {

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
                
        // Verweis auf die Schaltflche mit der ID button1 beschaffen
        Button btn = (Button) findViewById(R.id.button1);
        
        // Anonymes OnClickListener-Objekt erzeugen und
        // bei der View (Button-Element btn) registrieren
        btn.setOnClickListener(new OnClickListener() {
            public void onClick(View v) {
                String text = "Gut geklickt!";
                Toast einToast = Toast.makeText(v.getContext(), text, 
                                                Toast.LENGTH_SHORT);
                einToast.show();
             }
         });         
    }
}