package de.carpelibrum.quiz;

import de.carpelibrum.quiz.R.id;
import android.app.Activity;
import android.content.Intent;
import android.widget.ProgressBar;


class Spiellogik {
   final int ANZAHL_FRAGEN = 8;

   Frage[] fragen = new Frage[ANZAHL_FRAGEN];
   byte aktFrage = 0;
   int gewinnstufe = 0;

   Spiellogik() {
      // Fragen erzeugen
	   
	  fragen[0] = new Frage("Ist Java...",
	                  "desorientiert", "objektorientiert", "blamiert", "pervertiert", 2);
	  fragen[1] = new Frage("Wie hie der Vorgnger von Java?",
	                   "Cloak", "Eiche", "Willow", "Oak", 4);
	  fragen[2] = new Frage("Mit welchem Schlsselwort werden in Java Objekte erzeugt?",
	                  "new", "create", "erzeuge", "old", 1);
	  fragen[3] = new Frage("Mit welchem Schlsselwort werden in Java konstante Variablen deklariert?",
	                  "konstant", "const", "final", "immutable", 3);
	  fragen[4] = new Frage("Wie lautet der Wert folgenden Ausdrucks: \n2d + 3 / 4?",
	                  "2", "2.75", "3", "1.25", 2);
	  fragen[5] = new Frage("Nach welchem Algorithmus sortiert Arrays.sort() Objekte?",
	                  "Bubblesort", "Shellsort", "Mergesort", "Quicksort", 3);
	  fragen[6] = new Frage("Seit welcher Version gibt es die Swing-Klassen?",
	                  "1.0", "1.1", "1.2", "1.3", 3);
	  fragen[7] = new Frage("Seit wann ist Java unabhngig?",
	                  "1843", "1945", "1947", "1949", 4);
	   
   }

   void auswerten(int schalter, Activity quizActivity) {

      if (!fragen[aktFrage].richtig(schalter)) {  // falsch beantwortet
         Intent intent = new Intent(quizActivity, AbschlussActivity.class);
         intent.putExtra("text","Sorry, falsche Antwort. " +
        		                "Versuchen Sie es doch bei Gelegenheit noch einmal!");
         quizActivity.startActivity(intent);
         quizActivity.finish();
         
      } else {
    	 if (aktFrage < ANZAHL_FRAGEN-1) {
            fragen[++aktFrage].anzeigen(quizActivity);

            gewinnstufe++;
            ((ProgressBar) quizActivity.findViewById(id.progressBar1)).setProgress(gewinnstufe);
         }
      	 else {
      		gewinnstufe++;
      		((ProgressBar) quizActivity.findViewById(id.progressBar1)).setProgress(gewinnstufe);
             
            Intent intent = new Intent(quizActivity, AbschlussActivity.class);
            intent.putExtra("text","Super, Sie haben alles richtig beantwortet!!!");
            quizActivity.startActivity(intent);
            quizActivity.finish();
      	 }
      }
   }
}