/*
 * Varargs.java -  Methoden mit variabler Argumentenzahl
 *
 */

public class Varargs {

   static double mittelwert(double... werte) {
      double summe = 0;

      for (double d : werte)
         summe += d;

      return summe/werte.length;
   }
    
   public static void main(String[] args) {
      System.out.println();
      
      double[] daten = {1, 2, 3, 4, 5, 6, 7};
      System.out.println(" " +  mittelwert(daten) );

      System.out.println(" " +  mittelwert(1, 2, 3, 4, 5, 6, 7) );
   }    
}
