/*
 * EnumDemo_v1.java -  Herleitung der deutschen Wochentagsnamen
 *
 */
import java.io.*;

public class EnumDemo_v1 {
   
   enum Wochentag { MONTAG, DIENSTAG, MITTWOCH, DONNERSTAG, 
                    FREITAG, SAMSTAG, SONNTAG }
   
   public static String herkunft(Wochentag tag) {

      String s = "";

      switch (tag) {
         case MONTAG:     s = "Tag der rmischen Mondgttin Luna";
                          break;
         case DIENSTAG:   s = "Tag des nordischen Kriegsgottes Tyr";
                          break;
         case MITTWOCH:   s = "Tag des nordischen Gottes Odin";
                          break;
         case DONNERSTAG: s = "Tag des nordischen Donnergottes Thor";
                          break;
         case FREITAG:    s = "Tag der nordischen Gttin Freya";
                          break;
         case SAMSTAG:    s = "Tag des rmischen Gottes Saturn";
                          break;
         case SONNTAG:    s = "Tag des rmischen Sonnengottes Sol";
                          break;
      }

      return s;
   }
      
    
   public static void main(String[] args) {
      Console cons = System.console();
      cons.printf("\n");

      for( Wochentag tag : Wochentag.values() )
         cons.printf(" %1$-12s -   %2$s \n", 
                     tag.toString(), herkunft(tag));

      cons.printf("\n");
   }
}
