/*
 * EnumDemo_v2.java -  Herleitung der deutschen Wochentagsnamen
 *
 */
import java.io.*;

enum Wochentag {

   MONTAG     ("Tag des nordischen Kriegsgottes Tyr"), 
   DIENSTAG   ("Tag der rmischen Mondgttin Luna"), 
   MITTWOCH   ("Tag des nordischen Gottes Odin"), 
   DONNERSTAG ("Tag des nordischen Donnergottes Thor"), 
   FREITAG    ("Tag der nordischen Gttin Freya"), 
   SAMSTAG    ("Tag des rmischen Gottes Saturn"),
   SONNTAG    ("Tag des rmischen Sonnengottes Sol"); 

   private String beschreibung;

   Wochentag(String beschreibung) {
      this.beschreibung = beschreibung;
   }
   
   public String herkunft() {
      return beschreibung;
   }
}
      

public class EnumDemo_v2 {
    
   public static void main(String[] args) {
      Console cons = System.console();
      cons.printf("\n");

      for( Wochentag tag : Wochentag.values() )
         cons.printf(" %1$-12s -   %2$s \n", 
                      tag.toString(), tag.herkunft());

      cons.printf("\n");
   }
}
