/*
 * Taschenrechner.java -  Einfacher Taschenrechner
 *
 */
import java.io.*;

public class Taschenrechner {

   public static void main(String args[]) {
      Console cons = System.console();
      cons.printf("\n");
      
      if (args.length != 3) {
         cons.printf(" Falsche Anzahl Argumente in Befehlszeile \n");
         cons.printf(" Aufruf: java Taschenrechner Zahl Operator Zahl\n");
         System.exit(0);
      }

      // Die Befehlszeilenargumente aufteilen
      double zahl1    = Double.parseDouble(args[0]);
      char operator   = args[1].charAt(0);
      double zahl2    = Double.parseDouble(args[2]);

      cons.printf(" %.2f %c %.2f = ", zahl1, operator, zahl2);

      // Befehl bearbeiten
      switch(operator) {
      case '+':   cons.printf(" %.2f \n", (zahl1 + zahl2));
                  break;
      case '-':   cons.printf(" %.2f \n", (zahl1 - zahl2));
                  break;
      case 'X':
      case 'x':
      case '*':   cons.printf(" %.2f \n", (zahl1 * zahl2));
                  break;
      case ':':
      case '/':   cons.printf(" %.2f \n", (zahl1 / zahl2));
                  break;
      default:    cons.printf("\n Operator nicht bekannt \n");
                  break;
      }

      cons.printf("\n");
   }
}
