/*
 * InnereKlassenProgramm.java - Demonstriert wechselseitigen Zugriff zwischen 
 *                              innerer und ueren Klasse
 */

class Aussen {
   class Innen {
      private int wert = 2;
     
      int getInnereWerte() {
         return wert;   
      }
      int getAeussereWerte() {
         return a;                  // Zugriff auf private-Feld
      }                             // von Aussen
   }

   private int   a = 1;
   Innen i = new Innen();

   void dreheInnenNachAussen() {
     int tmp = a;
     a = i.wert;                    // Zugriff auf private-Feld
     i.wert = tmp;                  // von Innen
   }

}

public class InnereKlassenProgramm {
    
   public static void main(String[] args) {
      System.out.println();
      
      Aussen aussenObj = new Aussen();
      System.out.println(" Aeussere Werte: " + 
                          aussenObj.i.getAeussereWerte());   
      System.out.println(" Innere   Werte: " + 
                          aussenObj.i.getInnereWerte());

      aussenObj.dreheInnenNachAussen();
      System.out.println(" Aeussere Werte: " + 
                          aussenObj.i.getAeussereWerte());
      System.out.println(" Innere   Werte: " + 
                          aussenObj.i.getInnereWerte());

      System.out.println();                          
   }
}
