/*
 * Verdeckung.java - Verdeckung von Variablen uerer Gltigkeitsbereiche
 *
 */

class Demo {
   int wert = 1;

   int methode1() {
      int wert = 2;                // okay! Gleicher Name, aber anderer
                                   // Gltigkeitsbereich
      return wert;
   }

   void methode2() {
      int j = 0;  
      int n = 1;                 

      for(int i = 1; i < 5; ++i) {      // Achtung! Deklaration "for(int j = 1;..." wrde
         n *= i;                        // Fehlermeldung erzeugen, wegen Neudeklaration von
      }                                 // j in verschachteltem Block
   }
}


class Verdeckung {
   public static void main(String[] args) {
      System.out.println();

      Demo obj = new Demo();

      System.out.println(" " + obj.wert);            // Ausgabe: 1
      System.out.println(" " + obj.methode1());      // Ausgabe: 2
      System.out.println(" " + obj.wert);            // Ausgabe: 1
   }  
}
