/*
 * MeinZaehler.java - Implementiert einen erweiterten Zhler
 *
 */
import java.io.Console;

public class MeinZaehler extends Zaehler {
   public MeinZaehler(int startwert) {
      wert = startwert;
   }

   public void zurueckdrehen()  {
      --wert;
   }
}

class MeinZaehlerTest  {

   public static void main(String[] args) {
      Console cons = System.console();
      cons.printf("\n");

      Zaehler zaehler = new Zaehler();

      cons.printf(" Mit Originalzaehler hochzaehlen:\n\n");
      for(int i = 0; i <= 10; ++i) {
         cons.printf(" %d \n", zaehler.abfragen());
         zaehler.weiterdrehen();
      }
      System.out.println("\n\n");


      // Einsatz des erweiterten, eigenen Zhlers
      MeinZaehler meinZaehler = new MeinZaehler(10);

      cons.printf(" Der abgeleitete Zaehler ist auch fuer"
                  + " Countdowns geeignet:\n\n");
      for(int i = 0; i <= 10; ++i) {
         cons.printf(" %d \n", meinZaehler.abfragen());
         meinZaehler.zurueckdrehen();
      }
      
      cons.printf("\n");
   }
}


