/*
 * RegAusdruck.java - Prfen von E-Mail-Adressen durch eine regulren Ausdruck 
 *
 */

import java.util.regex.*;

public class RegAusdruck {
   public static void main(String[] args) {
      System.out.println();

      // mindestens ein Zeichen, gefolgt von @carpelibrum. Und
      // 2-3 stelliger Domain 
      Pattern p = Pattern.compile(".+@carpelibrum\\.[a-zA-Z]{2,3}");

      String email[] = new String[]            
                           { "peter@carpelibrum.de","@carpelibrum.de",
                             "dirk@carpelibrum", "p@carpelibrum_net"};
     
      for(int i = 0; i < email.length; i++) {
         Matcher m = p.matcher(email[i]); 
         System.out.println(" E-Mail " + email[i] + " : " + m.matches()); 
      }
      
      System.out.println();
   }
}
