/*
 * SortFranz.java - Beispiel fr Sortierung von franzsischen Strings
 *
 */

import java.util.*;
import java.text.*; 
import javax.swing.*; 

class Comp implements Comparator<String> { 

    public int compare(String str1, String str2) {

       Collator fr = Collator.getInstance(new Locale("fr","FR")); 
       int erg =   fr.compare(str1, str2); 
       return erg; 
    }
}


public class SortFranz {
   public static void main(String[] args) {

      String[] vokabeln = new String[]
                        {"peser","pgre","pche","pche"};  

      // fr aktuelle (deutsche) Sprache sortieren
      Arrays.sort(vokabeln, 0, vokabeln.length); 
      String msg1 = "deutsch:\n"; 

      for(int i = 0; i < vokabeln.length; i++)
         msg1 += vokabeln[i] + "\n";     


      // fr franzsische Sprache sortieren
      Arrays.sort(vokabeln, 0, vokabeln.length, new Comp()); 

      String msg2 = "franzsisch:\n"; 

      for(int i = 0; i < vokabeln.length; i++)
         msg2 += vokabeln[i] + "\n";     

      JOptionPane.showMessageDialog(null,msg1 + "\n" + msg2); 
      System.exit(0); 
   }
}
