/*
 * DatumAusgabe.java - Datumsformatierung 
 *
 */
import java.text.*;
import java.time.*; 
import java.time.format.*; 
import java.util.*; 
import java.io.*; 

public class DatumAusgabe {
	
    public static void main(String[] args) {
      LocalDate datum = LocalDate.now();
      DateTimeFormatter dtf;
      Console cons = System.console();
     
      FormatStyle[] stil = new FormatStyle[] {FormatStyle.SHORT, FormatStyle.MEDIUM,
                                              FormatStyle.LONG, FormatStyle.FULL};
      String[] stilName = new String[] {"Short ", "Medium", 
                                        "Long  ", "Full  "}; 
 
      Locale[] loc = new Locale[] {Locale.GERMANY, Locale.UK, 
                                   Locale.FRANCE}; 

      for(int j = 0; j < loc.length; j++) {
         cons.printf("\n"); 

         for(int i = 0; i < stil.length; i++) {
            dtf = DateTimeFormatter.ofLocalizedDate(stil[i]).withLocale(loc[j]);
            cons.printf(" %s : %s \n", stilName[i], datum.format(dtf)); 
         }
      }
   }
}

