/*
 * Lotto.java - Lottozahlen mithilfe von TreeSet verwalten 
 *
 */

import java.util.*;
import java.io.*;

public class Lotto {
   public static void main(String[] args) {
      Console cons = System.console();
      cons.printf("\n Willkommen zur Ziehung der Lottozahlen! \n\n");

      TreeSet<Integer> zahlen = new TreeSet<Integer>();
      Random zufall = new Random();

      cons.printf(" Ihre Glckszahlen lauten: ");
      while(zahlen.size() != 6) {
      
         // Zahl zwischen 0 und 49 (exklusive) ziehen
         // und um 1 erhhen
         int z = zufall.nextInt(49) + 1;

         // Zahl einfgen falls nicht schon vorhanden
         zahlen.add(z);
         }

      // Ausgabe in aufsteigender Reihenfolge
      Iterator it = zahlen.iterator();

      while(it.hasNext()) {
         cons.printf(" %d", it.next()); 
      }
      
      cons.printf("\n");
   }
}
