/*
 * FileList.java - Zhler aller Dateien und Verzeichnisse
 *
 */

import java.io.*;

public class FileList  {
   private static int dateiZaehler = 0;
   private static int verzeichnisZaehler = 0;

   public static void main(String[] args)  {
      Console cons = System.console();
      cons.printf("\n");
      
      File[] wurzeln = File.listRoots(); 

      for(int i = 0; i < wurzeln.length; i++) {
         dateiZaehler = 0;
         verzeichnisZaehler = 0;

         cons.printf(" untersuche %s\n", wurzeln[i].getPath()); 

         dateiListe(wurzeln[i]);

         cons.printf(" Verzeichnisse: %s\n", verzeichnisZaehler);
         cons.printf(" Dateien      : %s\n", dateiZaehler);
      }
   }

   public static void dateiListe(File aktuell)  {
      if(aktuell == null)
         return;

      File[] liste = aktuell.listFiles(); 
      verzeichnisZaehler++; 

      if(liste != null) {
         for(int i = 0; i < liste.length; i++) {
            if(liste[i].isFile() == true)
               dateiZaehler++;
            else
               dateiListe(liste[i]); 
          }
      }
   }
}
