/*
 * Lambda.java - Einsatz von Lambda-Ausdrcken 
 *
 */
import java.util.function.*;
import java.util.*;

public class Lambda {
	
    public static void main(String[] args) {
        List<Integer> zahlen = Arrays.asList(1,2,3,4,5,6,7,8,9);

        Consumer<Integer> ausgabe           = p -> System.out.println("Die Zahl " + p);
        Function<Integer, Integer> plusVier = p -> p + 4;
        Predicate<Integer> istGerade        = p -> p % 2 == 0;

        for(Integer i : zahlen) {
            ausgabe.accept(i);
            System.out.println("    plus vier  : " + plusVier.apply(i));
            System.out.println("    ist gerade : " + istGerade.test(i));
        }
   }
}

