/*
 * JTreeDemo.java - Beispiel fr JTree-Einsatz
 * 
 */

import javax.swing.*;
import javax.swing.tree.*;
import java.awt.*;
import java.awt.event.*;

public class JTreeDemo extends JFrame {
       
   public JTreeDemo() {
      super();

      // Hauptfenster einrichten
      setTitle("JTree Demo"); 
	 setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

      // Baummodell aufbauen
      DefaultMutableTreeNode wurzel;

      wurzel = new DefaultMutableTreeNode("Inhaltsverzeichnis");

      DefaultMutableTreeNode knoten1 = new DefaultMutableTreeNode("Grundlagen");
      DefaultMutableTreeNode kind1_1 = new DefaultMutableTreeNode("Wirtschaftsgter");
      DefaultMutableTreeNode kind1_2 = new DefaultMutableTreeNode("Wirtschaftsprinzipien");
      wurzel.add(knoten1);
      knoten1.add(kind1_1);
      knoten1.add(kind1_2);

      DefaultMutableTreeNode kind1_2_1 = new DefaultMutableTreeNode("Das Maximalprinzip");
      DefaultMutableTreeNode kind1_2_2 = new DefaultMutableTreeNode("Das Minimalprinzip");
      kind1_2.add(kind1_2_1);
      kind1_2.add(kind1_2_2);

      DefaultMutableTreeNode knoten2 = new DefaultMutableTreeNode("Zahlungsverkehr");
      DefaultMutableTreeNode kind2_1 = new DefaultMutableTreeNode("Gironetze");
      DefaultMutableTreeNode kind2_2 = new DefaultMutableTreeNode("Zahlungsmglichkeiten");
      wurzel.add(knoten2);
      knoten2.add(kind2_1);
      knoten2.add(kind2_2);

      DefaultMutableTreeNode kind2_2_1 = new DefaultMutableTreeNode("Scheck");
      DefaultMutableTreeNode kind2_2_2 = new DefaultMutableTreeNode("Wechsel");
      DefaultMutableTreeNode kind2_2_3 = new DefaultMutableTreeNode("berweisung");
      kind2_2.add(kind2_2_1);
      kind2_2.add(kind2_2_2);
      kind2_2.add(kind2_2_3);


      // JTree erzeugen
      DefaultTreeModel modell = new DefaultTreeModel(wurzel);
      JTree baum = new JTree(modell);
      baum.setRootVisible(true);

      getContentPane().add(new JScrollPane(baum),BorderLayout.CENTER);


   }

   // Hier Ereignisbehandlungsmethoden fr Komponenten





   public static void main(String args[]) {
      // Fenster erzeugen und anzeigen
      JTreeDemo hauptfenster = new JTreeDemo();
      hauptfenster.setSize(300,300);                    
      hauptfenster.setLocation(200,300);   
      hauptfenster.setVisible(true);
   }
    
}

