import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLayer;
import javax.swing.JPanel;
import javax.swing.plaf.LayerUI;


public class JLayerFenster extends JFrame {
    
    public JLayerFenster() {
        super("JLayer Demo");
        
        JPanel panel            = erzeugePanel();
        LayerUI<JPanel> layerUI = new LayerUIKlasse();
        JLayer jlayer           = new JLayer<JPanel>(panel, layerUI);
        this.add(jlayer); 
        setSize(300,200);
        this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    }

    private JPanel erzeugePanel() {
        JPanel panel = new JPanel();
        
        for(int i = 0; i < 6; i++) {
            JButton button = new JButton("Button " + i);
            panel.add(button); 
        }
        
        return panel; 
    }
}
