/* 
 * Geheimprogramm.java - Programm, das durch Login-Routine geschtzt wird
 * 
 */

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class Geheimprogramm extends javax.swing.JFrame {
   final String GEHEIMCODE = "123-4547";
   boolean isEingeloggt = false;

   // innere Klasse fr Zeichenflche
   private class Leinwand extends JPanel {
      
      public void paintComponent(Graphics g) {
         super.paintComponent(g);

         g.setColor(Color.RED);
         g.setFont(new Font("SansSerif", Font.BOLD, 20));

         if(isEingeloggt)
            g.drawString("Der Geheimcode lautet: " + GEHEIMCODE, 20, 40);
         else
            g.drawString("Keine Berechtigung", 20, 40);

      }
   }

       
   public Geheimprogramm() {
      setTitle("Streng geheim");
      getContentPane().setBackground(Color.LIGHT_GRAY);
      getContentPane().add(new Leinwand(), BorderLayout.CENTER);

      isEingeloggt = einloggen();

      setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
   }

   private boolean einloggen() {

      Logindialog loginDialog = new Logindialog(this);
      loginDialog.setVisible(true);

      return loginDialog.isKennwortKorrekt();
   }


   public static void main(String args[]) {
      Geheimprogramm hauptfenster = new Geheimprogramm();
      hauptfenster.setSize(400,200);                     
      hauptfenster.setLocation(200,300);   
      hauptfenster.setVisible(true); 
   }
    
}
