/*
 * Javedi_Infodialog.java - Produktinformation
 *
 */

package javedi;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.border.*;


class Javedi_Infodialog extends JDialog implements ActionListener {
   private String produkt = "Javedi";
   private String version = "1.0";
   private String copyright = "Copyright-Erklrung";
   private String beschreibung = "In Java geschriebener Texteditor";

   public Javedi_Infodialog(JFrame f) {
      super(f);
      this.setTitle("Info ber Javedi");
      this.setResizable(false);
      this.setSize(new Dimension(370, 200));
      this.setModal(true);
      this.getContentPane().setLayout(null);

      JLabel lbSymbol = new JLabel();
      lbSymbol.setIcon(new ImageIcon(javedi.Javedi_Fenster.class.getResource("symbolgross.gif")));
      lbSymbol.setBounds(new Rectangle(17, 17, 52, 79));

      JLabel lbProdukt = new JLabel(produkt);
      lbProdukt.setBounds(new Rectangle(96, 22, 91, 23));

      JLabel lbVersion = new JLabel(version);
      lbVersion.setBounds(new Rectangle(96, 45, 17, 16));

      JLabel lbCopyright = new JLabel(copyright);
      lbCopyright.setBounds(new Rectangle(96, 61, 100, 16));

      JLabel lbBeschreibung = new JLabel(beschreibung);
      lbBeschreibung.setFont(new java.awt.Font("Dialog", 2, 12));
      lbBeschreibung.setBounds(new Rectangle(96, 95, 252, 29));

      JButton btnOK = new JButton();
      btnOK.setBounds(new Rectangle(270, 150, 90, 22));
      btnOK.setText("OK");
      btnOK.addActionListener(this);

      this.getContentPane().add(lbProdukt, null);
      this.getContentPane().add(lbSymbol, null);
      this.getContentPane().add(lbVersion, null);
      this.getContentPane().add(lbCopyright, null);
      this.getContentPane().add(lbBeschreibung, null);
      this.getContentPane().add(btnOK, null);
   }

   public void actionPerformed(ActionEvent e) {
      setVisible(false);
   }
}