/* Java-Millionenspiel
 *
 * @(#)Millionenspiel.java    1.0  02/10/20/  Dirk und Peter
 *
 * 
 */

package millionenquiz;

import javax.swing.UIManager;
import java.awt.*;

/**
 * Hauptklasse der Anwendung
 */
public class Millionenspiel {

   /**
    * erzeugt das Hauptfenster
    */
   public Millionenspiel() {
      // Hauptfenster erzeugen und anzeigen
      Hauptfenster hauptfenster = new Hauptfenster();

      // Das Fenster zentrieren
      Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
      Dimension frameSize = hauptfenster.getSize();
      if (frameSize.height > screenSize.height) {
         frameSize.height = screenSize.height;
      }
      if (frameSize.width > screenSize.width) {
         frameSize.width = screenSize.width;
      }
      hauptfenster.setLocation((screenSize.width - frameSize.width) / 2,
                               (screenSize.height - frameSize.height) / 2);
      hauptfenster.setVisible(true);
   }

   /**
    * Look&Feel einstellen und Anwendung starten
    */
   public static void main(String[] args) {
      // Look&Feel des aktuellen Systems einstellen
      try {
          UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
      } catch(Exception e) {
          // Dann halt nicht! Das Standard-Look&Feel bleibt.
      }

      // Anwendungsobjekt erzeugen
      new Millionenspiel();
   }
}

