package de.carpelibrum.grafik;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.util.AttributeSet;
import android.widget.ImageView;

public class ZeichnenView extends ImageView {

	public ZeichnenView(Context context, AttributeSet attrs) {
		super(context, attrs);
	}

	@Override
	protected void onDraw(Canvas canvas) {
		super.onDraw(canvas);
		
		// 1. Paint-Objekt fr Gelbton und 		
		// Linienbreite von 20 Pixeln erzeugen
		Paint pinsel = new Paint();
		pinsel.setColor(Color.rgb(225, 225, 25));
		pinsel.setStrokeWidth(20);
		
		// 2. Zwei Balken in Leinwand zeichnen
		canvas.drawLine(getWidth()/3, 0, getWidth()/3, getHeight(), pinsel);
		canvas.drawLine( 0, getHeight()/2, getWidth(), getHeight()/2, pinsel);
	}
}
